<template>
    <div class="offer-ride">
        <div class="col-md-12" id="form-sidebar">
            <h2>Create an Open Ride </h2>

               <div class="multi-step-line"></div> 
               <RouteMenu></RouteMenu> 
        </div>  

        <div id="dashboard">
            <div class="col-md-7 top-margin-15" v-if="isMounted">
                <SearchInputs
                        v-bind:addressFrom.sync = "addressFrom"
                        v-bind:addressTo.sync = "addressTo"
                        v-bind:totalTime.sync = "totalTime"
                        v-bind:totalDistance.sync = "totalDistance"
                        v-bind:time.sync = "time"
                        v-bind:distance.sync = "distance"
                        v-bind:isRoute.sync = "isRoute"
                        v-bind:price.sync = "price"
                        v-if="isRoute"
                />
                <RideInformation
                        v-bind:isRoute.sync = "isRoute"
                        v-bind:addressFrom = "addressFrom"
                        v-bind:addressTo = "addressTo"
                        v-bind:duration = "time"
                        v-bind:price.sync = "price"
                        v-if="!isRoute"/>
            </div>
            <div class="col-md-5 bottom-margin-100">
                <div id="myMap"></div>
                <div>

                        <p> {{totalDistance}} </p>
                        <p> {{totalTime}} </p>

                </div>
            </div>
            
        </div>

    </div>

</template>

<script>

    import SearchInputs from './SearchInputs.vue';
    import RouteMenu from '../rides/RouteMenu';
    import RideInformation from "./RideInformation";

    export default {
        components: { RideInformation, SearchInputs, RouteMenu },
        props: {
            user : this.user,
        },
        mounted() {
            //console.log("map: ", google.maps);
            this.isMounted = true;
            this.map = new google.maps.Map(document.getElementById('myMap'), {
                center: {lat:27.6648, lng: -81.5158},
                scrollwheel: false,
                zoom: 5
            })

        },
        name: "openrides",
        data(){
            return{
                isRoute:true,
                totalTime:'',
                totalDistance:'',
                time:'',
                price:'',
                addressFrom:'',
                addressTo:'',
                distance:'',
                isMounted:false,

            }
        },
        methods: {

        }
    }


</script>

<style scoped>
    #myMap {
        height:400px;
        width: 100%;
    }
</style>